#!/bin/bash

#
# Copyright (c) 2010 Ingres Corp.
#

TOPDIR="`cat .topdir`"        
IVWDIR="$TOPDIR/scripts/ingres_vectorwise"
source $TOPDIR/scripts/kit_profile || er "$0: could not source kit_profile"

$IVWDIR/start_db.sh || exit 1

# $1    database name
# $2    if 1 is passed, force recreation of existing database

if [ -z $1 ]; then
        echo "database name is required."
        exit 1
fi

DATABASE=$1

if [ -z $2 ]; then
        FORCE=0
else
        FORCE=$2
fi

# verify if db exists
CMD=`echo "select * from iidatabase where name='$DATABASE';\g" | sql iidbdb | grep "0 rows"`

if [ -z "$CMD" ]; then
        if [ ${FORCE} -eq 1 ]; then
               destroydb $DATABASE
        else
               echo "Database $DATABASE exists. Load aborted"
               exit 1
        fi
else
        echo "Database $DATABASE does not exist."
fi
