#!/bin/bash

#
# Copyright (c) 2010 Ingres Corp.
#

TOPDIR="`cat .topdir`"
IVWDIR="$TOPDIR/scripts/ingres_vectorwise"
source $TOPDIR/scripts/kit_profile || er "$0: could not source kit_profile"

unset DATABASE

usage()
{
cat << EOF
$1

usage: $0 flags

Required flags:
   -d     <name>    database name

   -h               this help page

EOF
exit 1
}

while [ $# -ne 0 ]
do
    case $1 in
    -d)     shift;
            DATABASE=$1
        ;;
    *)      usage;
            ;;
    esac
    shift
done

if [ -z ${DATABASE} ]; then
   usage "ERROR: database name is required."   
fi

tmp=`mktemp`
tables="nation region customer supplier part partsupp orders lineitem"
for t in $tables;do
   echo "help table $t"'\p\g' >> $tmp
done
cat $tmp | sql $DATABASE
rm $tmp

