#!/bin/bash

#
# Copyright (c) 2011 Ingres Corp.
#

TOPDIR="`cat .topdir`"
IVWDIR="$TOPDIR/scripts/ingres_vectorwise"
source $TOPDIR/scripts/kit_profile || er "$0: could not source kit_profile"

SORT_SPACE=$DSS_PATH

while getopts "d:T:" opt; do
	case $opt in
	d)
		DSS_PATH=$OPTARG
		;;
	T)
		SORT_SPACE=$OPTARG
		;;
	?)
		echo "Usage: $0"
		echo "     -d  <flat files directory> [-T <sort space dir>]"	
		exit 1
	esac
done		

echo "Sorting flat files..."

grep -v '#' $IVWDIR/sort_param | (while [ 1 ]; do
	read file fields
	if [ $? -ne 0 ]; then
		break
	fi
	
	for i in `echo ${fields} | tr ',' '\n'` ; do
    		keys="${keys} -k ${i},${i}"
	done

	echo sorting ${DSS_PATH}/${file} files

	# note nation and region have no numbers posfixed so look for ${file}* not ${file}.*
	TBLS=`ls ${DSS_PATH}/${file}* 2> /dev/null`
	for input_file in $TBLS ; do 
		sort -t '|' ${keys} -T ${SORT_SPACE} ${input_file} -o ${input_file} &
	done
	wait
	keys=""
done)

echo Sort completed.
